The API's base URL, limits and errors, the keys that can send, and the SMTP relay
GET
/api/v1/workspaces/{workspace}/transactional/setup
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/transactional/setup"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/transactional/setup';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/transactional/setup \ --header 'Authorization: Bearer <token>'Permission: transactional:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
Responses
Section titled “Responses”OK
Media typeapplication/json
object
baseUrl
required
string
canManageKeys
required
boolean
errors
required
Array<object>
object
code
required
string
status
required
integer format: int64
headers
required
Array<string>
keyHelpers
required
Array<string>
keys
required
Array<object>
object
categories
required
Category names the key is limited to
Array<string>
createdAt
required
string format: date-time
createdBy
required
string
expired
required
boolean
expiresAt
string format: date-time
id
required
string
lastUsedAt
string format: date-time
lastUsedIp
string
masked
required
string
mode
required
string
name
required
string
preset
required
string
ratePerSecond
required
integer format: int64
templates
required
Array<string>
testAddresses
required
Array<string>
limits
required
object
idempotencyHours
required
integer format: int64
maxBatch
required
integer format: int64
ratePerSecond
required
integer format: int64
routeLimitBytes
required
integer format: int64
routeLimitOthers
required
Array<object>
object
bytes
required
integer format: int64
provider
required
string
routeLimitProvider
string
scheduleHours
required
integer format: int64
smtpRecipients
required
integer format: int64
openapiUrl
required
string
relay
required
object
admins
required
Array<string>
canManage
required
boolean
certNotAfter
string format: date-time
checks
required
Array<object>
object
detail
required
string
key
required
string
ok
required
boolean
enabled
required
boolean
enabledAt
string format: date-time
enabledBy
string
hostname
string
starttlsPort
required
integer format: int64
state
required
string
tlsPort
required
integer format: int64
unreachableSince
string format: date-time
senders
required
Array<object>
object
domain
required
string
email
required
string
id
required
string
name
required
string
replyTo
required
string
verified
required
boolean
Example
{ "keys": [ { "mode": "live", "preset": "send_only" } ], "limits": { "routeLimitOthers": [ { "provider": "SES" } ] }, "relay": { "checks": [ { "key": "dns" } ], "state": "off" }}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}